This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 184043 - SSH server "eats" one Hebrew character
SSH server "eats" one Hebrew character
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 06:17 EST by Gregory Brodsky
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-21 13:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gregory Brodsky 2006-03-05 06:17:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
SSH server "eats" one Hebrew character

For example, if you type A, nothing appears.
If you then type B, C - A,B appears and C does not.

(Capital chars here are purposed here to represent Hebrew chars)

Version-Release number of selected component (if applicable):
openssh-server-3.9p1-8

How reproducible:
Always

Steps to Reproduce:
1. Configure and run SSH Client with ASCII 8-bit Hebrew codepage

For example, on Linux: 

	#setLANG=he_IL
	#xterm &

	on the new window:
	#ssh 127.0.0.1

2. Type some Latin chars
3. Switch to Hebrew keyboard and type some Hebrew chars

  

Actual Results:  Last typed character is missed.

For example, if you type A, nothing appears.
If you then type B, C - A,B appears and C does not.


Expected Results:  Each typed char should appear immediately, like for Latin chars

Additional info:

I first discovered the problem with a commercial product on which I am working.  After debugging, I concluded that this is the server, not my client, problem.  I then tested it with xterm and PUTTY, and received the same result.

The same problem exists with OpenSuse10.0
Comment 1 Tomas Mraz 2006-03-06 04:48:06 EST
Can you please verify that this still happens with latest openssh version on FC5
as soon as it is released?

Note You need to log in before you can comment on or make changes to this bug.